<?xml version="1.0" encoding="utf-8"?>
<package>
  <metadata>
    <id>DigitalData.Core.Client.Legacy</id>
    <version>1.0.1.2</version>
    <authors>Digital Data GmbH</authors>
    <requireLicenseAcceptance>false</requireLicenseAcceptance>
    <license type="expression">MIT</license>
    <icon>Assets\icon.png</icon>
    <projectUrl>http://git.dd:3000/AppStd/WebCoreModules.git</projectUrl>
    <description>This package provides HTTP client extension methods for the DigitalData.Core library, offering simplified and asynchronous methods for fetching and handling HTTP responses. It includes utility methods for sending GET, POST, PUT, DELETE requests, reading response content as text or JSON, and deserializing JSON into dynamic or strongly-typed objects using Newtonsoft.Json. These extensions facilitate efficient and easy-to-read HTTP interactions in client applications. This version is specifically designed to be compatible with .NET Framework.</description>
    <releaseNotes>Summary of changes made in this release of the package.</releaseNotes>
    <copyright>Copyright 2024</copyright>
    <tags>digital data core http client json serialization</tags>
    <dependencies>
      <dependency id="Microsoft.Bcl.AsyncInterfaces" version="8.0.0" />
      <dependency id="Microsoft.Extensions.DependencyInjection" version="8.0.0" />
      <dependency id="Microsoft.Extensions.DependencyInjection.Abstractions" version="8.0.0" />
      <dependency id="Microsoft.Extensions.Options" version="8.0.2" />
      <dependency id="Microsoft.Extensions.Primitives" version="8.0.0" />
      <dependency id="Newtonsoft.Json" version="13.0.0" />
      <dependency id="System.Buffers" version="4.0.3" />
      <dependency id="System.Memory" version="4.0.1" />
      <dependency id="System.Numerics.Vectors" version="4.1.4" />
      <dependency id="System.Runtime.CompilerServices.Unsafe" version="6.0.0" />
      <dependency id="System.Threading.Tasks.Extensions" version="4.2.0" />
      <dependency id="System.ValueTuple" version="4.0.3" />
    </dependencies>
  </metadata>
  <files>
    <file src="bin\Release\DigitalData.Core.Client.Legacy.dll" target="lib\net462\" />
	<file src="..\icon.png" target="Assets\" />
  </files>
</package>